Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06991 Crash/Freeze Major Always May 31, 2018, 13:23 Sep 17, 2018, 05:20
Tester Robbbert View Status Public Platform MAME (Self-compiled)
Assigned To AJR Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver model1.cpp
Version 0.198 Fixed in Version 0.202 Build 32-bit
Summary 06991: swa: crash with access violation after a while
Description Game crashes in attract mode
Steps To Reproduce Start swa. Wait for the yellow writing to slide away, then a demo scene in a cockpit starts. The game then crashes.
Additional Information
Exception at EIP=00db9a40 (model1_state::intercept()+0x02b0): ACCESS VIOLATION
While attempting to read memory at 0000001c
-----------------------------------------------------
EAX=00000000 EBX=0eff0154 ECX=0cda1b28 EDX=00000000
ESI=0eff0048 EDI=0028bc18 EBP=0028bcc8 ESP=0028bb70
-----------------------------------------------------
Stack crawl:
  0028bcc8: 00db9a40 (model1_state::intercept()+0x02b0)
  0028bd38: 00dc3069 (model1_state::copro_hle_swa()+0x01d9)
  0028bd48: 00dc30b0 (std::_Function_handler<void (), model1_state::machine_start_model1()::{lambda()#15}>::_M_invoke(std::_Any_data const&)+0
x0010)
  0028bd98: 04cb2ab0 (generic_fifo_device_base<unsigned int>::push(unsigned int)+0x0060)
  0028bdb8: 00db5e1e (model1_state::v60_copro_fifo_w(address_space&, unsigned int, unsigned short, unsigned short)+0x005e)
  0028be08: 054f552d (delegate_base<void, address_space&, unsigned int, unsigned short, unsigned short>::operator()(address_space&, unsigned i
nt, unsigned short, unsigned short) const+0x007d)
  0028be48: 04c55cc6 (address_space_specific<unsigned short, (endianness_t)0, 0, true>::write_native(unsigned int, unsigned short, unsigned sh
ort)+0x00a6)
  0028be88: 04c56d54 (address_space_specific<unsigned short, (endianness_t)0, 0, true>::write_dword_unaligned(unsigned int, unsigned int)+0x00
94)
  0028bea8: 02ccf455 (v60_device::am3RegisterIndirect()+0x0045)
  0028bed8: 02cd74e2 (v60_device::WriteAM()+0x0072)
  0028bee8: 02cd840f (v60_device::F12WriteSecondOperand(unsigned char) [clone .constprop.281]+0x005f)
  0028bf08: 02cd895b (v60_device::opMOVZHW()+0x003b)
  0028bf58: 02cdd59a (v60_device::execute_run()+0x007a)
  0028bfd8: 037e825d (device_scheduler::timeslice()+0x044d)
  0028c068: 037a740a (running_machine::run(bool)+0x01ea)
  0028f838: 01f6720d (mame_machine_manager::execute()+0x01cd)
  0028f9a8: 01fd3544 (cli_frontend::start_execution(mame_machine_manager*, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>
, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > const&)+0x03f4)
  0028fa88: 01fd3999 (cli_frontend::execute(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::
allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&)+0x0039)
  0028fab8: 01f6515d (emulator_info::start_frontend(emu_options&, osd_interface&, std::vector<std::__cxx11::basic_string<char, std::char_trait
s<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&)+0x002d)
  0028feb8: 072bfcea (main+0x012a)
  0028ff88: 004013e2 (__tmainCRTStartup+0x0272)
  0028ff94: 76b6336a (BaseThreadInitThunk+0x0012)
  0028ffd4: 779098f2 (RtlInitializeExceptionChain+0x0063)
  0028ffec: 779098c5 (RtlInitializeExceptionChain+0x0036)
Flags
Regression Version 0.197
Affected Sets / Systems swa
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.15075
VasiliyFamiliya
Tester
Jun 1, 2018, 08:54
Game crashes not in attract mode only, but also at the play start after stage 1 briefing during hyperdrive effect.

Wingwar also crashes in attract mode and at the game beginning, but in the middle of 1st stage (demo) play already.
User avatar
No.15468
AJR
Developer
Sep 17, 2018, 05:20
edited on: Sep 17, 2018, 05:21
This likely regressed in 1d338061af66eed2cbf3e19655bb840f4e801c9c due to some gratuitous renaming. Attract modes for swa and wingwar appear to be fixed with e15011b974e3ddb4704beb32a6a6a33d284cac3a.